Skip to main content
POST
/
organizations
/
{orgId}
/
api-keys
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const apiKey = await client.organizations.apiKeys.create('orgId', { name: 'x' });

console.log(apiKey.id);
{
  "id": "<string>",
  "name": "<string>",
  "key": "<string>",
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

orgId
string
required

Body

application/json
name
string
required

Name for the team API key

Required string length: 1 - 256

Response

API key created (key value only shown on creation)

id
string
required
name
string
required
key
string
required
createdAt
string
required